### Function

# Pangoattr_scale_new

#### Declaration [src]

    PangoAttribute*
    pango_attr_scale_new (
      double scale_factor
    )

#### Description [src]

Create a new font size scale attribute.

The base font for the affected text will have its size multiplied by `scale_factor`.

#### Parameters

`scale_factor`

  Type: `double`

  Factor to scale the font.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`

The caller of the function takes ownership of the data, and is responsible for freeing it.